Bug 862339 - lcms: Error #12288; cinepaint fatal error: sigsegv caught
Summary: lcms: Error #12288; cinepaint fatal error: sigsegv caught
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: oyranos
Version: 17
Hardware: x86_64
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Nicolas Chauvet (kwizart)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-10-02 16:52 UTC by Michael Schwendt
Modified: 2013-06-02 04:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-10-17 20:38:05 UTC


Attachments (Terms of Use)

Description Michael Schwendt 2012-10-02 16:52:18 UTC
Description of problem: Was searching for a paint program. Tried several, also tried cinepaint. Strange usage experience including very early crashes (see below).

$ rpm -q cinepaint
cinepaint-1.3-1.fc17.x86_64

Starting it for the first time opens an "CinePaint Installation" window with a scrollbar that cannot be scrolled. I simply clicked "Install", which terminates the program immediately. Reproducible:

$ rm -rf ~/.cinepaint
$ cinepaint
Locale found in /usr/share/locale
/home/ms17b/.cinepaint
**
Gtk:ERROR:gtktextbtree.c:1172:_gtk_text_btree_insert: assertion failed: (eol <= len)
cinepaint terminated: sigabrt caught

(cinepaint:11114): Gtk-CRITICAL **: IA__gtk_widget_destroy: assertion `GTK_IS_WIDGET (widget)' failed

(cinepaint:11114): Gtk-CRITICAL **: IA__gtk_object_destroy: assertion `object != NULL' failed

(cinepaint:11114): Gtk-CRITICAL **: IA__gtk_object_unref: assertion `GTK_IS_OBJECT (object)' failed


Starting it once more, it proceeds further, but spills out lots of error messages and crashes upon using "New". I'm giving up here.

Apparently, it intercepts SIGSEGV so ABRT cannot do that instead.

lcms: Error #12288; cinepaint fatal error: sigsegv caught
cinepaint (pid:10805): [E]xit, [H]alt, show [S]tack trace or [P]roceed: S
#0  0x00000039facba2da in waitpid () from /lib64/libc.so.6
#1  0x00000039fc81f2f3 in g_on_error_stack_trace ()
#2  0x00000039fc81f43f in g_on_error_query () from /lib64/libglib-2.0.so.0
#3  0x0000000000445f5d in ?? ()
#4  <signal handler called>
#5  0x00000039fac48377 in vfprintf () from /lib64/libc.so.6
#6  0x00000039fac4b51f in buffered_vfprintf () from /lib64/libc.so.6
#7  0x00000039fac468b6 in vfprintf () from /lib64/libc.so.6
#8  0x00000039fad07365 in __vfprintf_chk () from /lib64/libc.so.6
#9  0x0000003a06808291 in cmsSignalError () from /lib64/liblcms.so.1
#10 0x0000003a0680e098 in _cmsCreateProfileFromFilePlaceholder ()
#11 0x0000003a06814d05 in cmsOpenProfileFromFile () from /lib64/liblcms.so.1
#12 0x000000000043301f in ?? ()
#13 0x00000000004353a3 in ?? ()
#14 0x000000000045670c in ?? ()
#15 0x00000000004d0391 in ?? ()
#16 0x00000039fd80f943 in ?? () from /lib64/libgobject-2.0.so.0
#17 0x00000039fd827d88 in g_signal_emit_valist ()
#18 0x00000039fd8287c2 in g_signal_emit () from /lib64/libgobject-2.0.so.0
#19 0x0000003a05c91055 in ?? () from /lib64/libgtk-x11-2.0.so.0
#20 0x00000039fd80f664 in g_closure_invoke () from /lib64/libgobject-2.0.so.0
#21 0x00000039fd820003 in ?? () from /lib64/libgobject-2.0.so.0
#22 0x00000039fd82866d in g_signal_emit_valist ()
#23 0x00000039fd8287c2 in g_signal_emit () from /lib64/libgobject-2.0.so.0
#24 0x0000003a05c8fb33 in ?? () from /lib64/libgtk-x11-2.0.so.0
#25 0x0000003a05d4db4c in ?? () from /lib64/libgtk-x11-2.0.so.0
#26 0x00000039fd80f664 in g_closure_invoke () from /lib64/libgobject-2.0.so.0
#27 0x00000039fd820450 in ?? () from /lib64/libgobject-2.0.so.0
#28 0x00000039fd8282a7 in g_signal_emit_valist ()
#29 0x00000039fd8287c2 in g_signal_emit () from /lib64/libgobject-2.0.so.0
#30 0x0000003a05e815ae in ?? () from /lib64/libgtk-x11-2.0.so.0
#31 0x0000003a05d4b914 in gtk_propagate_event ()
#32 0x0000003a05d4bc7b in gtk_main_do_event () from /lib64/libgtk-x11-2.0.so.0
#33 0x0000003a06461edc in ?? () from /lib64/libgdk-x11-2.0.so.0
#34 0x00000039fc847825 in g_main_context_dispatch ()
#35 0x00000039fc847b58 in ?? () from /lib64/libglib-2.0.so.0
#36 0x00000039fc847f52 in g_main_loop_run () from /lib64/libglib-2.0.so.0
#37 0x0000003a05d4ac57 in gtk_main () from /lib64/libgtk-x11-2.0.so.0
#38 0x00000000004183b0 in ?? ()
#39 0x00000039fac21735 in __libc_start_main () from /lib64/libc.so.6
#40 0x0000000000418801 in ?? ()
#41 0x00007fffe247fc18 in ?? ()
#42 0x000000000000001c in ?? ()
#43 0x0000000000000001 in ?? ()
#44 0x00007fffe24818f8 in ?? ()
#45 0x0000000000000000 in ?? ()
cinepaint (pid:10805): [E]xit, [H]alt, show [S]tack trace or [P]roceed: 


$ cinepaint
Locale found in /usr/share/locale

(cinepaint:11134): Gdk-CRITICAL **: IA__gdk_string_width: assertion `font != NULL' failed

(cinepaint:11134): Gdk-CRITICAL **: _gdk_font_strlen: assertion `font != NULL' failed

(cinepaint:11134): Gdk-CRITICAL **: IA__gdk_draw_text: assertion `font != NULL' failed

(cinepaint:11134): Gdk-CRITICAL **: IA__gdk_string_width: assertion `font != NULL' failed

(cinepaint:11134): Gdk-CRITICAL **: _gdk_font_strlen: assertion `font != NULL' failed

(cinepaint:11134): Gdk-CRITICAL **: IA__gdk_draw_text: assertion `font != NULL' failed

(cinepaint:11134): Gdk-CRITICAL **: IA__gdk_string_width: assertion `font != NULL' failed

(cinepaint:11134): Gdk-CRITICAL **: _gdk_font_strlen: assertion `font != NULL' failed

(cinepaint:11134): Gdk-CRITICAL **: IA__gdk_draw_text: assertion `font != NULL' failed

(cinepaint:11134): Gdk-CRITICAL **: IA__gdk_string_width: assertion `font != NULL' failed

(cinepaint:11134): Gdk-CRITICAL **: _gdk_font_strlen: assertion `font != NULL' failed

(cinepaint:11134): Gdk-CRITICAL **: IA__gdk_draw_text: assertion `font != NULL' failed

(cinepaint:11134): Gdk-CRITICAL **: IA__gdk_string_width: assertion `font != NULL' failed

(cinepaint:11134): Gdk-CRITICAL **: _gdk_font_strlen: assertion `font != NULL' failed

(cinepaint:11134): Gdk-CRITICAL **: IA__gdk_draw_text: assertion `font != NULL' failed

(cinepaint:11134): Gdk-CRITICAL **: IA__gdk_string_width: assertion `font != NULL' failed

(cinepaint:11134): Gdk-CRITICAL **: _gdk_font_strlen: assertion `font != NULL' failed

(cinepaint:11134): Gdk-CRITICAL **: IA__gdk_draw_text: assertion `font != NULL' failed

(cinepaint:11134): Gtk-WARNING **: A floating object was finalized. This means that someone
called g_object_unref() on an object that had only a floating
reference; the initial floating reference is not owned by anyone
and must be removed with g_object_ref_sink().
WARNING: oyranos_alpha.c:7646 oyDeviceGetProfile() Unexpected object type: Zero - none(oyConfig_s)[-1] 

cms.c:462 cms_init_oyranos() monitor profile size: 0
WARNING: oyranos.c:186 oyGetPathFromProfileName_() profile not found in colour path: ISOcoated_v2_bas.ICC[-1] 

WARNING: oyranos_check.c:72 oyCheckProfile_() not found: ISOcoated_v2_bas.ICC[-1] 

cinepaint: Cannot open selected ICC default proof profile: ISOcoated_v2_bas.ICC
Searching plug-ins in path: (null)
plugin count = 0
cinepaint: Can not open temp directory (null) to clear temp files
cinepaint: Can not open temp directory (null) to clear temp files

(cinepaint:11134): Gtk-WARNING **: A floating object was finalized. This means that someone
called g_object_unref() on an object that had only a floating
reference; the initial floating reference is not owned by anyone
and must be removed with g_object_ref_sink().

Comment 1 Nicolas Chauvet (kwizart) 2012-10-02 18:22:03 UTC
It look like this package was missing (which bundles ISOcoated_v2_bas.ICC).
yum install icc-profiles-basiccolor-printing2009

The fix will belong to oyranos

Comment 2 Fedora Update System 2012-10-03 21:10:44 UTC
oyranos-0.4.0-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/oyranos-0.4.0-5.fc18

Comment 3 Fedora Update System 2012-10-03 21:12:00 UTC
oyranos-0.4.0-5.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/oyranos-0.4.0-5.fc17

Comment 4 Fedora Update System 2012-10-04 02:07:05 UTC
Package oyranos-0.4.0-5.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing oyranos-0.4.0-5.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15355/oyranos-0.4.0-5.fc18
then log in and leave karma (feedback).

Comment 5 D. Charles Pyle 2013-06-02 04:12:09 UTC
Same problems with oyranos and cinepaint now again happening on Fedora 19-Beta.  100% reproduceable.

$ rpm -qa cinepaint
cinepaint-1.3-9.fc19.x86_64

$ rpm -qa oyranos
oyranos-0.4.0-7.fc19.x86_64

$ rpm -qa icc-profiles-openicc
icc-profiles-openicc-1.3.1-3.fc19.noarch

$ rpm -qa icc-profiles-basiccolor-printing2009
icc-profiles-basiccolor-printing2009-1.2.0-3.fc19.noarch


Note You need to log in before you can comment on or make changes to this bug.